Package org.eclipse.microprofile.metrics.tck.metrics

## Class HistogramTest

- java.lang.Object
- - org.eclipse.microprofile.metrics.tck.metrics.HistogramTest

    public class HistogramTest
    extends Object

### Constructor Summary

Constructors
`HistogramTest()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.jboss.shrinkwrap.api.spec.WebArchive` `createDeployment()`
`void` `initData()`
`void` `testCount()`
`void` `testMetricRegistry()`
`void` `testSnapshot50thPercentile()`
`void` `testSnapshot75thPercentile()`
`void` `testSnapshot95thPercentile()`
`void` `testSnapshot98thPercentile()`
`void` `testSnapshot999thPercentile()`
`void` `testSnapshot99thPercentile()`
`void` `testSnapshotMax()`
`void` `testSnapshotMean()`
`void` `testSnapshotPercentileValuesPresent()`
`void` `testSnapshotSize()`
`void` `testSum()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HistogramTest

    public HistogramTest()

### Method Detail

#### createDeployment

    @Deployment
    public static org.jboss.shrinkwrap.api.spec.WebArchive createDeployment()

#### initData

    public void initData()

#### testMetricRegistry

    public void testMetricRegistry()
                            throws Exception

Throws:
  `Exception`

#### testCount

    public void testCount()
                   throws Exception

Throws:
  `Exception`

#### testSum

    public void testSum()
                 throws Exception

Throws:
  `Exception`

#### testSnapshotPercentileValuesPresent

    public void testSnapshotPercentileValuesPresent()
                                             throws Exception

Throws:
  `Exception`

#### testSnapshot50thPercentile

    public void testSnapshot50thPercentile()
                                    throws Exception

Throws:
  `Exception`

#### testSnapshot75thPercentile

    public void testSnapshot75thPercentile()
                                    throws Exception

Throws:
  `Exception`

#### testSnapshot95thPercentile

    public void testSnapshot95thPercentile()
                                    throws Exception

Throws:
  `Exception`

#### testSnapshot98thPercentile

    public void testSnapshot98thPercentile()
                                    throws Exception

Throws:
  `Exception`

#### testSnapshot99thPercentile

    public void testSnapshot99thPercentile()
                                    throws Exception

Throws:
  `Exception`

#### testSnapshot999thPercentile

    public void testSnapshot999thPercentile()
                                     throws Exception

Throws:
  `Exception`

#### testSnapshotMax

    public void testSnapshotMax()
                         throws Exception

Throws:
  `Exception`

#### testSnapshotMean

    public void testSnapshotMean()
                          throws Exception

Throws:
  `Exception`

#### testSnapshotSize

    public void testSnapshotSize()
                          throws Exception

Throws:
  `Exception`